# POST /v4/enums/{enumName}/batch-convert

_Merkl API_

Batch convert multiple enum values at once. Accepts an array of values and returns an array of conversion results. Maximum 100 values per request.

### Path parameters

- `enumName` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "values": {
      "description": "Array of values to convert",
      "minItems": 1,
      "maxItems": 100,
      "type": "array",
      "items": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "number"
          }
        ]
      }
    }
  },
  "required": [
    "values"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "values": {
      "description": "Array of values to convert",
      "minItems": 1,
      "maxItems": 100,
      "type": "array",
      "items": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "number"
          }
        ]
      }
    }
  },
  "required": [
    "values"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "values": {
      "description": "Array of values to convert",
      "minItems": 1,
      "maxItems": 100,
      "type": "array",
      "items": {
        "anyOf": [
          {
            "type": "string"
          },
          {
            "type": "number"
          }
        ]
      }
    }
  },
  "required": [
    "values"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/enums/{enumName}/batch-convert" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```